#ifndef _SCALE_QUANTISER_
#define _SCALE_QUANTISER_ #1#
/*
scale_quantiser - two opcodes to quantise MIDI notes and pitches in Hz to
musical scales. This file includes the two UDOs as well as a number of scales.
*/

; Version macros for major and minor version
#define SCALE_QUANT_VER_MAJOR #1#
#define SCALE_QUANT_VER_MINOR #1#

; Scales table for quantiser opcodes
giScales = ftgen(0, 0, -180, -23, "scales.ftable")

; The array holding all 15 scale names
gSscaleNames[] = fillarray("Chromatic scale",
	"Major (Ionian mode)",
	"Minor (Aeolian mode)",
	"Harmonic minor",
	"Double harmonic minor (Hungarian/Gypsy scale)",
	"Major pentatonic",
	"Minor pentatonic",
	"Dorian (second mode of the major scale)",
	"Phrygian (third mode of the major scale)",
	"Lydian (fourth mode of the major scale)",
	"Mixolydian (fifth mode of the major scale)",
	"Locrian (seventh mode of the major scale)",
	"Whole tone scale",
	"Whole-step half-step scale",
	"Half-step whole-step scale")

; Include the two UDOs
#include "m_scale_midi.udo"
#include "m_scale_cps.udo"
#include "m_scale_get_version.udo"
#include "m_scale_get_name.udo"

#end
